1 Reply Latest reply on Apr 20, 2018 1:08 PM by ferbs

    Use of the DPDK driver with MFT tools

    yasu

      Hi.

       

      How can I install MFT tools without removing DPDK drivers ?

       

      I installed MLNX_OFED_LINUX-4.2-1.2.0.0 with --upstream-libs --dpdk

      options, but when I install MFT tools (both before and after OFED)

      the either package seems to be removed completely.

        • Re: Use of the DPDK driver with MFT tools
          ferbs

          Hi,

          I believe that when specifying the RDMA core libraries needed for DPDK (--upstream-libs) the OFED installer script does not expect to have any extra arguments as it tries to install the minimum set of packages in order to get DPDK working.

           

          I suggest two methods :

          1.Install with extra flags - " --dpdk --upstream-libs --with-mft --with-kernel-mft " it should work with MLNX OFED 4.3

          or

          Just download and install MFT, it is available online as RPM/deb file :